<?php
namespace Bushelpowered\Api\Crm\V1\Response;
        
class CustomerSearchResponse 
{
    public string $id;
    public string $name;
    /** @var string[] $accountIds */
    public array $accountIds;
    /** @var string[] $phones */
    public array $phones;
    /** @var string[] $emails */
    public array $emails;

    /**
     * @param  string[]  $accountIds 
     * @param  string[]  $phones 
     * @param  string[]  $emails 
     */
    public function __construct(string $id, string $name, array $accountIds, array $phones, array $emails)
    {
        $this->id = $id;
        $this->name = $name;
        $this->accountIds = $accountIds;
        $this->phones = $phones;
        $this->emails = $emails;
    }
    

}