<?php
namespace Bushelpowered\Api\Platform\File\V1\Common;
        
class IncludeFileUrlsOption implements \Bushelpowered\Api\Platform\File\V1\Common\HasFileUrlOptions
{
    public int $validFor;
    public ?\Bushelpowered\Api\Platform\File\V1\Common\ContentDisposition $contentDisposition = null;

    /**
     */
    public function __construct(int $validFor, ?\Bushelpowered\Api\Platform\File\V1\Common\ContentDisposition $contentDisposition)
    {
        $this->validFor = $validFor;
        $this->contentDisposition = $contentDisposition;
    }
    
    public function getValidFor(): int
    {
        return $this->validFor;
    }
    public function getContentDisposition(): ?\Bushelpowered\Api\Platform\File\V1\Common\ContentDisposition
    {
        return $this->contentDisposition;
    }
}