<?php
namespace Bushelpowered\Api\Trade\Esign\V1;
        
class UpdateTenantConfigMetadata
{
    public function __construct(
        public ?string $requiredAuthorization,
				public ?string $requiredSlug,
        public ?array $extraOptionalMetadata = null,
    ) {}
    
    public function getMetadata() {
        $array = [];
        
        
        if ($this->requiredAuthorization) {
            $array['Authorization'] = $this->requiredAuthorization;
        }
    
        if ($this->requiredSlug) {
            $array['App-Company'] = $this->requiredSlug;
        }
    
        
        return $this->extraOptionalMetadata ? array_merge($array, $this->extraOptionalMetadata) : $array;
    }
}